## org.gnu.gtk
Class Container

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.GtkObject
              org.gnu.gtk.Widget
                  org.gnu.gtk.Container

Direct Known Subclasses:
  Bin, Box, Fixed, IconView, Layout, MenuShell, Notebook, Paned, Table, TextView, ToolBar, TreeView

public class Container
extends Widget

The Container widget is a base class for container widgets. Widgets that inherit from Container have the ability to contain, position, size, and display one or more other widgets.

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`protected` `Container(Handle handle)`

Method Summary
`void` `add(Widget widget)` Adds widget to the Container.
`void` `addListener(ContainerListener listener)` Register an object to handle container events.
`protected void` `fireContainerEvent(ContainerEvent event)`
`int` `getBorderWidth()` Retrieves the border width for the Container.
`Widget[]` `getChildren()` Get an array of all children of this container.
`java.lang.Class` `getEventListenerClass(java.lang.String signal)`
`EventType` `getEventType(java.lang.String signal)`
`ResizeMode` `getResizeMode()` Returns the ResizeMode for the Container.
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`protected static void` `gtk_container_add(Handle container, Handle widget)`
`protected static void` `gtk_container_check_resize(Handle container)`
`protected static int` `gtk_container_child_type(Handle container)`
`protected static int` `gtk_container_get_border_width(Handle container)`
`protected static Handle[]` `gtk_container_get_children(Handle container)`
`protected static boolean` `gtk_container_get_focus_chain(Handle container, Handle focusableWidgets)`
`protected static Handle` `gtk_container_get_focus_hadjustment(Handle container)`
`protected static Handle` `gtk_container_get_focus_vadjustment(Handle container)`
`protected static int` `gtk_container_get_resize_mode(Handle container)`
`protected static int` `gtk_container_get_type()`
`protected static void` `gtk_container_propagate_expose(Handle container, Handle child, Handle event)`
`protected static void` `gtk_container_remove(Handle container, Handle widget)`
`protected static void` `gtk_container_resize_children(Handle container)`
`protected static void` `gtk_container_set_border_width(Handle container, int borderWidth)`
`protected static void` `gtk_container_set_focus_chain(Handle container, Handle focusableWidgets)`
`protected static void` `gtk_container_set_focus_child(Handle container, Handle child)`
`protected static void` `gtk_container_set_focus_hadjustment(Handle container, Handle adjustment)`
`protected static void` `gtk_container_set_focus_vadjustment(Handle container, Handle adjustment)`
`protected static void` `gtk_container_set_reallocate_redraws(Handle container, boolean needsRedraws)`
`protected static void` `gtk_container_set_resize_mode(Handle container, int mode)`
`protected static void` `gtk_container_unset_focus_chain(Handle container)`
`void` `remove(Widget widget)` Remove a Widget from the Container.
`void` `removeListener(ContainerListener listener)` Removes a listener
`void` `resizeChildren()` Informs the container to resize all of its' children based on the size requirements of the children.
`void` `setBorderWidth(int width)` Sets the border width for the Container.
`void` `setResizeMode(ResizeMode mode)` Sets the ResizeMode for the Container.

Methods inherited from class org.gnu.gtk.Widget

`activate, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, destroy, draw, drawArea, drawArea, findListener, finish, fireBooleanLifeCycleEvent, fireDragDestinationEvent, fireDragSourceEvent, fireExposeEvent, fireFocusEvent, fireKeyEvent, fireLifeCycleEvent, fireMouseEvent, fireMouseMotionEvent, getAccessible, getColormap, getContext, getData, getDisplay, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getScreen, getSensitive, getStyle, getToplevel, getWindow, grabDefault, grabFocus, gtk_drag_dest_set, gtk_drag_dest_unset, gtk_drag_finish, gtk_drag_get_data, gtk_drag_highlight, gtk_drag_source_set_icon_pixbuf, gtk_drag_source_set_icon_stock, gtk_drag_source_set_icon, gtk_drag_source_set, gtk_drag_source_unset, gtk_drag_unhighlight, gtk_widget_activate, gtk_widget_add_accelerator, gtk_widget_add_events, gtk_widget_add_mnemonic_label, gtk_widget_can_activate_accel, gtk_widget_child_focus, gtk_widget_child_notify, gtk_widget_class_path, gtk_widget_create_pango_context, gtk_widget_create_pango_layout, gtk_widget_destroy, gtk_widget_destroyed, gtk_widget_ensure_style, gtk_widget_event, gtk_widget_freeze_child_notify, gtk_widget_get_accessible, gtk_widget_get_ancestor, gtk_widget_get_child_requisition, gtk_widget_get_child_visible, gtk_widget_get_colormap, gtk_widget_get_composite_name, gtk_widget_get_default_colormap, gtk_widget_get_default_direction, gtk_widget_get_default_style, gtk_widget_get_default_visual, gtk_widget_get_direction, gtk_widget_get_display, gtk_widget_get_events, gtk_widget_get_extension_events, gtk_widget_get_modifier_style, gtk_widget_get_name, gtk_widget_get_pango_context, gtk_widget_get_parent_window, gtk_widget_get_parent, gtk_widget_get_pointer, gtk_widget_get_root_window, gtk_widget_get_screen, gtk_widget_get_sensitive, gtk_widget_get_settings, gtk_widget_get_size_request, gtk_widget_get_style, gtk_widget_get_toplevel, gtk_widget_get_type, gtk_widget_get_visual, gtk_widget_get_window, gtk_widget_grab_default, gtk_widget_grab_focus, gtk_widget_has_screen, gtk_widget_hide_all, gtk_widget_hide_on_delete, gtk_widget_hide, gtk_widget_intersect, gtk_widget_is_ancestor, gtk_widget_is_focus, gtk_widget_list_accel_closures, gtk_widget_list_mnemonic_labels, gtk_widget_map, gtk_widget_mnemonic_activate, gtk_widget_modify_base, gtk_widget_modify_bg, gtk_widget_modify_fg, gtk_widget_modify_font, gtk_widget_modify_style, gtk_widget_modify_text, gtk_widget_path, gtk_widget_pop_colormap, gtk_widget_pop_composite_child, gtk_widget_push_colormap, gtk_widget_push_composite_child, gtk_widget_queue_draw_area, gtk_widget_queue_draw, gtk_widget_queue_resize, gtk_widget_realize, gtk_widget_ref, gtk_widget_region_intersect, gtk_widget_remove_accelerator, gtk_widget_remove_mnemonic_label, gtk_widget_render_icon, gtk_widget_reparent, gtk_widget_reset_rc_styles, gtk_widget_send_expose, gtk_widget_set_accel_path, gtk_widget_set_app_paintable, gtk_widget_set_child_visible, gtk_widget_set_colormap, gtk_widget_set_composite_name, gtk_widget_set_default_colormap, gtk_widget_set_default_direction, gtk_widget_set_direction, gtk_widget_set_double_buffered, gtk_widget_set_events, gtk_widget_set_extension_events, gtk_widget_set_name, gtk_widget_set_parent_window, gtk_widget_set_parent, gtk_widget_set_redraw_on_allocate, gtk_widget_set_scroll_adjustments, gtk_widget_set_sensitive, gtk_widget_set_size_request, gtk_widget_set_state, gtk_widget_set_style, gtk_widget_shape_combine_mask, gtk_widget_show_all, gtk_widget_show_now, gtk_widget_show, gtk_widget_size_allocate, gtk_widget_size_request, gtk_widget_style_get_property, gtk_widget_thaw_child_notify, gtk_widget_translate_coordinates, gtk_widget_unmap, gtk_widget_unparent, gtk_widget_unrealize, gtk_widget_unref, handleButtonPressed, handleButtonReleased, handleDelete, handleDragDataGet, handleDragDestination, handleExpose, handleFocusIn, handleFocusOut, handleHide, handleKeyPressed, handleKeyReleased, handleMap, handleMouseEnter, handleMouseLeave, handleMouseMotion, handleNoExpose, handleRealize, handleScroll, handleShow, handleUnmap, hasFocus, hasScreen, hide, hideAll, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`getFlags, gtk_object_destroy, gtk_object_get_type, gtk_object_sink, setFlags, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Container

    protected Container(Handle handle)

Method Detail

### add

    public void add(Widget widget)

  Adds widget to the Container.

  Parameters:
    `widget` - The Widget to be added to this Container.

### remove

    public void remove(Widget widget)

  Remove a Widget from the Container.

  Parameters:
    `widget` - The Widget to remove from the Container.

### getResizeMode

    public ResizeMode getResizeMode()

  Returns the ResizeMode for the Container.

  Returns:
    The ResizeMode for the Container.

### setResizeMode

    public void setResizeMode(ResizeMode mode)

  Sets the ResizeMode for the Container.

  Parameters:
    `mode` - The ResizeMode.

### getBorderWidth

    public int getBorderWidth()

  Retrieves the border width for the Container.

  Returns:
    The border width.

### setBorderWidth

    public void setBorderWidth(int width)

  Sets the border width for the Container.

  Parameters:
    `width` - The border width.

### resizeChildren

    public void resizeChildren()

  Informs the container to resize all of its' children based on the size requirements of the children.

### getChildren

    public Widget[] getChildren()

  Get an array of all children of this container.

  Returns:
    An array contain all children of this container or null.

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.

### addListener

    public void addListener(ContainerListener listener)

  Register an object to handle container events.

  See Also:
    `ContainerListener`

### removeListener

    public void removeListener(ContainerListener listener)

  Removes a listener

  See Also:
    `addListener(ContainerListener)`

### fireContainerEvent

    protected void fireContainerEvent(ContainerEvent event)

### getEventListenerClass

    public java.lang.Class getEventListenerClass(java.lang.String signal)

  Overrides:
    `getEventListenerClass` in class `Widget`

### getEventType

    public EventType getEventType(java.lang.String signal)

  Overrides:
    `getEventType` in class `Widget`

### gtk_container_get_type

    protected static final int gtk_container_get_type()

### gtk_container_set_border_width

    protected static final void gtk_container_set_border_width(Handle container,
                                                               int borderWidth)

### gtk_container_get_border_width

    protected static final int gtk_container_get_border_width(Handle container)

### gtk_container_add

    protected static final void gtk_container_add(Handle container,
                                                  Handle widget)

### gtk_container_remove

    protected static final void gtk_container_remove(Handle container,
                                                     Handle widget)

### gtk_container_set_resize_mode

    protected static final void gtk_container_set_resize_mode(Handle container,
                                                              int mode)

### gtk_container_get_resize_mode

    protected static final int gtk_container_get_resize_mode(Handle container)

### gtk_container_check_resize

    protected static final void gtk_container_check_resize(Handle container)

### gtk_container_get_children

    protected static final Handle[] gtk_container_get_children(Handle container)

### gtk_container_propagate_expose

    protected static final void gtk_container_propagate_expose(Handle container,
                                                               Handle child,
                                                               Handle event)

### gtk_container_set_focus_chain

    protected static final void gtk_container_set_focus_chain(Handle container,
                                                              Handle focusableWidgets)

### gtk_container_get_focus_chain

    protected static final boolean gtk_container_get_focus_chain(Handle container,
                                                                 Handle focusableWidgets)

### gtk_container_unset_focus_chain

    protected static final void gtk_container_unset_focus_chain(Handle container)

### gtk_container_set_reallocate_redraws

    protected static final void gtk_container_set_reallocate_redraws(Handle container,
                                                                     boolean needsRedraws)

### gtk_container_set_focus_child

    protected static final void gtk_container_set_focus_child(Handle container,
                                                              Handle child)

### gtk_container_set_focus_vadjustment

    protected static final void gtk_container_set_focus_vadjustment(Handle container,
                                                                    Handle adjustment)

### gtk_container_get_focus_vadjustment

    protected static final Handle gtk_container_get_focus_vadjustment(Handle container)

### gtk_container_set_focus_hadjustment

    protected static final void gtk_container_set_focus_hadjustment(Handle container,
                                                                    Handle adjustment)

### gtk_container_get_focus_hadjustment

    protected static final Handle gtk_container_get_focus_hadjustment(Handle container)

### gtk_container_resize_children

    protected static final void gtk_container_resize_children(Handle container)

### gtk_container_child_type

    protected static final int gtk_container_child_type(Handle container)